Subject: bug#5404: 23.1.91; Nextstep port: M-x gdb hangs in tab completion of symbols

From: Steve Revilak <[email-masked]>
Date: Tue, 19 Jan 2010 22:25:13 -0500

>I think the terminal settings in the GUD buffer must be different for recent
>Macs.
>
>Try:
>
>(gdb) shell stty -onlcr
>
>(assuming "shell stty -a" gives onlcr).
>
>Emacs doesn't expect the extra ^M characters and so it fails to parse the
>output correctly.  If modifying the terminal doesn't work (but I think it
>should), you could try changing gud-gdb-marker-regexp and
>gud-gdb-marker-filter to look for ^M\n instead of just \n.

Nick,

Thanks for the suggestion.  I'll experiment with these ideas (but it
may be a day or two before I have the chance to do so).

Cheers,

Steve